Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy
Class FileConfigurationManager

    java.lang.Object
      org.eclipse.jetty.deploy.FileConfigurationManager

All Implemented Interfaces:
  ConfigurationManager

    public class FileConfigurationManager

extends java.lang.Object
implements ConfigurationManager

FileConfigurationManager Supplies properties defined in a file.

Constructor Summary
`FileConfigurationManager()`

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
`void` | `setFile(java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileConfigurationManager

    public FileConfigurationManager()

Method Detail

### setFile

    public void setFile(java.lang.String filename)
                 throws java.net.MalformedURLException,
                        java.io.IOException

  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

  Specified by:
    `getProperties` in interface `ConfigurationManager`
  See Also:
    `ConfigurationManager.getProperties()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.